﻿----------------------------------------------------------------------------
----Author: ViperGTS96------------------------------------------------------
----------------------------------------------------------------------------
--------------------"The simplest design is always the best design." -------
---@v.1.0.0.0---------------------------------------------------------------
----------------------------------------------------------------------------

l10nAdder = {};
l10nAdder.file = "l10n/l10n_readme.xml";
l10nAdder.l10nFile = loadXMLFile("l10n", g_currentModDirectory..l10nAdder.file);
l10nAdder.writeToLog = false;

local i = 0;
while true do

	local l10nKey = string.format("l10n.text(%d)", i);	
	if not hasXMLProperty(l10nAdder.l10nFile, l10nKey) then	break; end;
	local l10nName = getXMLString(l10nAdder.l10nFile, l10nKey.."#name");
	local l10nText = getXMLString(l10nAdder.l10nFile, l10nKey.."."..g_languageShort);

	if l10nName ~= nil then
		g_i18n:setText(l10nName, l10nText);
		if l10nAdder.writeToLog then
			print("l10n inserted; 'Name': "..l10nName.." | 'Text': "..l10nText);
		end;
	end;

	i = i + 1;
end;